ONVIF::Device::Elements::GetNetworkDefaultGatewayResponse(3)

NAME
ONVIF::Device::Elements::GetNetworkDefaultGatewayResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetNetworkDefaultGatewayResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   NetworkGateway

     $element->set_NetworkGateway($data);
     $element->get_NetworkGateway();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetNetworkDefaultGatewayResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   NetworkGateway =>  { # ONVIF::Device::Types::NetworkGateway
     IPv4Address => $some_value, # IPv4Address
     IPv6Address => $some_value, # IPv6Address
   },
 },

AUTHOR
Generated by SOAP::WSDL